<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Group extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
$this->output->enable_profiler(false);
        $this->load->model('Mgroup');
        $this->load->library('form_validation');
        $this->load->library('datatables');
    }

    public function index()
    {
        return view('group/group_list');
    }

    public function json()
    {
        if ($this->input->is_ajax_request()) {
            $this->output->enable_profiler(false);
        }
header('Content-Type: application/json');
        echo $this->Mgroup->json();
    }



    public function create()
    {
        $data = array(
            'button'     => 'Tambah Group',
            'action'     => site_url('group/create_action'),
            'kode_group' => set_value('kode_group'),
            'nama_group' => set_value('nama_group'),
        );
        // $this->template->load('template', 'group/group_form', $data);
        return view('group/group_form', $data);
    }

    public function create_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
                'NAMA_GROUP' => $this->input->post('nama_group', TRUE),
            );

            $this->Mgroup->insert($data);
            $this->db->query("commit");
            $this->session->set_flashdata('message', 'Create Record Success');
            redirect(site_url('group'));
        }
    }

    public function update($id)
    {
        $row = $this->Mgroup->get_by_id($id);

        if ($row) {
            $data = array(
                'button'     => 'Update Group ',
                'action'     => site_url('group/update_action'),
                'kode_group' => set_value('kode_group', $row->KODE_GROUP),
                'nama_group' => set_value('nama_group', $row->NAMA_GROUP),
            );
            return view('group/group_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('group'));
        }
    }

    public function update_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('kode_group', TRUE));
        } else {
            $data = array(
                'NAMA_GROUP' => $this->input->post('nama_group', TRUE),
            );

            $this->Mgroup->update($this->input->post('kode_group', TRUE), $data);
            $this->db->query("commit");
            $this->session->set_flashdata('message', 'Update Record Success');
            redirect(site_url('group'));
        }
    }

    public function delete($id)
    {
        $row = $this->Mgroup->get_by_id($id);

        if ($row) {
            $this->Mgroup->delete($id);
            $this->db->query("commit");
            $this->session->set_flashdata('message', 'Delete Record Success');
            redirect(site_url('group'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('group'));
        }
    }

    public function _rules()
    {
        $this->form_validation->set_rules('nama_group', 'nama group', 'trim|required');

        $this->form_validation->set_rules('kode_group', 'kode_group', 'trim');
        $this->form_validation->set_error_delimiters('<span class="label label-danger ">', '</span>');
    }

    function test()
    {
        $rk = $this->db->query("select * from p_group")->result();
        echo "<pre>";
        print_r($rk);
        echo "<pre>";
    }
}

/* End of file Group.php */
/* Location: ./application/controllers/Group.php */
/* Generated by Mohamad Wahyu Dewantoro 2017-04-28 01:25:45 */
